# Specify CLI

### Global flags

#### `-h, --help`

Show the help

#### `-v, --version`

Show the current version of the CLIx

#### `-C, --config-path [configPath]`

The path to your JSON or Javascript config file, or the folder containing all your configs (default: `.specifyrc.json`)

#### `-p, --personal-access-token <personalAccessToken>`

Your personal access token. . It will try to read it from the env var `SPECIFY_PAT` as well.

{% hint style="info" %}
Need a personal access token? [Generate one ↗](https://specifyapp.com/user/personal-access-tokens)
{% endhint %}

#### `-r, --repository <repository>`

The repository containing the design tokens you're requesting. It follows the pattern `@organizationName/repositoryName`. It will try to read it from the env var `SPECIFY_REPOSITORY` as well.

## Init

Generate a Specify ready-to-use configuration to pull your design data from your Specify repository.

{% hint style="warning" %}
For now it will only generate an empty config file, but we will bring back the template selection soon
{% endhint %}

### Flags

#### `--root [.]`

By default everything is generated in the current dir, but you can choose a different path to generate your configuration file (Default: `.`)

## Pull

Pull the tokens from the repository following the configs

### Flags

*No flags for now*


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.specifyapp.com/reference/specify-cli.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
